From 261dc436e437660f63986294f2fd3ef1cc2a7686 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Fri, 31 Jul 2015 07:23:22 -0400
Subject: [PATCH] buglist: add TODO for erf-related conversion to Float

Goal: Add New Math Functionality

Extending the mathematical ability of Axiom is a primary goal.
It seems these ought to work so add them to the todo list.

=========================================================================
todo 338: Convert to Float fails

(1) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])

   (1)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
                                                      Type: Expression(Float)
(2) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])::Float

   Cannot convert from type Expression(Float) to Float for value
   - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778

=========================================================================
todo 337: erf does not evaluate

(2) -> - 0.25* erf(0.3535533905932737622) + 0.60206532676429947778

   (2)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
                                                      Type: Expression(Float)
(3) -> erf(0.3535533905932737622)

   (3)  erf(0.3535533905 932737622)
---
 buglist                        |   25 ++++++++++++++++++++++++-
 changelog                      |    2 ++
 patch                          |   32 +++++++++++++++++++++++++++++---
 src/axiom-website/patches.html |    2 ++
 4 files changed, 57 insertions(+), 4 deletions(-)

diff --git a/buglist b/buglist
index f5c4970..0482e3a 100644
--- a/buglist
+++ b/buglist
@@ -1,7 +1,7 @@
 =========================================================================
 
 bug 7303: 
-todo 337:
+todo 339:
 wish 1012:
 meh 5:
 errors 10016:
@@ -12,6 +12,29 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+todo 338: Convert to Float fails
+
+(1) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])
+
+   (1)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+                                                      Type: Expression(Float)
+(2) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])::Float
+ 
+   Cannot convert from type Expression(Float) to Float for value
+   - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+
+=========================================================================
+todo 337: erf does not evaluate
+
+(2) -> - 0.25* erf(0.3535533905932737622) + 0.60206532676429947778
+
+   (2)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+                                                      Type: Expression(Float)
+(3) -> erf(0.3535533905932737622)
+
+   (3)  erf(0.3535533905 932737622)
+
+=========================================================================
 bug 7302: rich12b.input 457 failed
 
 The storage for STRING is exhausted.
diff --git a/changelog b/changelog
index 03cfc64..df5d0f7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150731 tpd src/axiom-website/patches.html 20150731.01.tpd.patch
+20150731 tpd buglist: add TODO for erf-related conversion to Float
 20150729 tpd src/axiom-website/patches.html 20150729.01.tpd.patch
 20150729 tpd books/bookvolbib add Buch97 reference for GCD proof
 20150729 tpd books/bookvol13 Add mathematics for GCD proof
diff --git a/patch b/patch
index ed25f26..83a16d9 100644
--- a/patch
+++ b/patch
@@ -1,5 +1,31 @@
-books/bookvol13 Add mathematics for GCD proof
+buglist: add TODO for erf-related conversion to Float
+
+Goal: Add New Math Functionality
+
+Extending the mathematical ability of Axiom is a primary goal.
+It seems these ought to work so add them to the todo list.
+
+=========================================================================
+todo 338: Convert to Float fails
+
+(1) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])
+
+   (1)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+                                                      Type: Expression(Float)
+(2) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])::Float
+ 
+   Cannot convert from type Expression(Float) to Float for value
+   - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+
+=========================================================================
+todo 337: erf does not evaluate
+
+(2) -> - 0.25* erf(0.3535533905932737622) + 0.60206532676429947778
+
+   (2)  - 0.25 erf(0.3535533905 932737622) + 0.6020653267 6429947778
+                                                      Type: Expression(Float)
+(3) -> erf(0.3535533905932737622)
+
+   (3)  erf(0.3535533905 932737622)
 
-Goal: Prove Axiom correct
 
-Buchberger presents a proof of the GCD algorithm.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a8e4722..0c96c04 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5110,6 +5110,8 @@ Makefile: extract and run proof code automatically<br/>
 books/bookvolbib Add program proof papers<br/>
 <a href="patches/20150729.01.tpd.patch">20150729.01.tpd.patch</a>
 books/bookvol13 Add mathematics for GCD proof<br/>
+<a href="patches/20150731.01.tpd.patch">20150731.01.tpd.patch</a>
+buglist: add TODO for erf-related conversion to Float<br/>
  </body>
 </html>
 
-- 
1.7.5.4

